> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Thumbnails



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/thumbnails/{lookup_key}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/thumbnails/{lookup_key}:
    get:
      summary: Thumbnails
      operationId: thumbnails_api_v1_thumbnails__lookup_key__get
      parameters:
        - name: lookup_key
          in: path
          required: true
          schema:
            type: string
            title: Lookup Key
        - name: page_range
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page Range
        - name: thumb_width
          in: query
          required: false
          schema:
            type: integer
            default: 300
            title: Thumb Width
        - name: track_changes
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Track Changes
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThumbnailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ThumbnailResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the request was successful.
          default: true
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: >-
            If the request was not successful, this will contain an error
            message.
        thumbnails:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Thumbnails
          description: >-
            A list of base64 encoded thumbnail images. Images are in JPG format.
            Set to None when there is an error.
      type: object
      required:
        - thumbnails
      title: ThumbnailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````